1 (edited by Apo 2013-02-06 09:16:31)

Topic: Installation mysql (Requires: perl-DBD-MySQL)

Bonjour, je mets en place dans mon entreprise un serveur de test sous RHEL6.
Une fois que je passe à l'installation de mysql il me dit la chose suivante:

[root@blabla /]# yum --enablerepo=remi install mysql mysql-server
Loaded plugins: rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
remi                                                                                                                                  | 2.9 kB     00:00
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package mysql.i686 0:5.5.29-1.el6.remi set to be updated
--> Processing Dependency: mysql-libs(x86-32) = 5.5.29-1.el6.remi for package: mysql-5.5.29-1.el6.remi.i686
---> Package mysql-server.i686 0:5.5.29-1.el6.remi set to be updated
--> Processing Dependency: perl-DBD-MySQL for package: mysql-server-5.5.29-1.el6.remi.i686
--> Running transaction check
--> Processing Dependency: libmysqlclient.so.16 for package: 2:postfix-2.6.6-2.el6.i686
--> Processing Dependency: libmysqlclient.so.16(libmysqlclient_16) for package: 2:postfix-2.6.6-2.el6.i686
--> Processing Dependency: libmysqlclient_r.so.16 for package: MySQL-python-1.2.3-0.3.c1.1.el6.i686
--> Processing Dependency: libmysqlclient_r.so.16 for package: mysql-connector-odbc-5.1.5r1144-7.el6.i686
--> Processing Dependency: libmysqlclient_r.so.16(libmysqlclient_16) for package: MySQL-python-1.2.3-0.3.c1.1.el6.i686
--> Processing Dependency: libmysqlclient_r.so.16(libmysqlclient_16) for package: mysql-connector-odbc-5.1.5r1144-7.el6.i686
---> Package mysql-libs.i686 0:5.5.29-1.el6.remi set to be updated
---> Package mysql-server.i686 0:5.5.29-1.el6.remi set to be updated
--> Processing Dependency: perl-DBD-MySQL for package: mysql-server-5.5.29-1.el6.remi.i686
--> Running transaction check
---> Package compat-mysql51.i686 0:5.1.54-1.el6.remi set to be updated
---> Package mysql-server.i686 0:5.5.29-1.el6.remi set to be updated
--> Processing Dependency: perl-DBD-MySQL for package: mysql-server-5.5.29-1.el6.remi.i686
--> Finished Dependency Resolution
Error: Package: mysql-server-5.5.29-1.el6.remi.i686 (remi)
           Requires: perl-DBD-MySQL
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@blabla /]#

Je ne comprend pas, puisqu'il fait bien la liaison avec la dépendances.

--> Processing Dependency: perl-DBD-MySQL for package: mysql-server-5.5.29-1.el6.remi.i686
--> Running transaction check

Ai je besoin d'installer perl-DBD-MySQL?
Je n'ai pas fait le lien avec le site offi pour RHN,(c'est pour ça que je suis là ^^).

Je ne suis pas un expert sur linux et encore moins sur RH, donc si ma question parait banale veuillez m'en excuser.:(

Merci d'avance

Re: Installation mysql (Requires: perl-DBD-MySQL)

En effet j'ai installer DBD-mysql et c'est ok. désolé..

Si certain recherche la même chose pour RHEL6:

# rpm -ivh ftp://ftp.univie.ac.at/systems/linux/dag/redhat/el6/en/i386/extras/RPMS/perl-DBD-MySQL-4.014-1.el6.rfx.i686.rpm

Re: Installation mysql (Requires: perl-DBD-MySQL)

perl-DBD-MySQL est disponible dans les dépôts officiels Red Hat.
Je déconseille fortemenbt l'utilisation des paquets de dag.

This system is not registered with RHN.
RHN support will be disabled.

Il faut enregistrer la machine.

Desktop: Fedora 27 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 28 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test